Apache JMeter

## org.apache.jmeter.gui.action
Class Load

    java.lang.Object
      org.apache.jmeter.gui.action.Load

All Implemented Interfaces:
  Command

Direct Known Subclasses:
  LoadRecentProject

    public class Load

extends Object
implements Command

Handles the Open (load a new file) and Merge commands.

Constructor Summary
`Load()`

Method Summary
`void` `doAction(ActionEvent e)`
`Set<String>` `getActionNames()`
`static boolean` `insertLoadedTree(int id, HashTree tree)`
`static boolean` `insertLoadedTree(int id, HashTree tree, boolean merging)` Returns a boolean indicating whether the loaded tree was a full test plan

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Load

    public Load()

Method Detail

### getActionNames

    public Set<String> getActionNames()

  Specified by:
    `getActionNames` in interface `Command`

### doAction

    public void doAction(ActionEvent e)

  Specified by:
    `doAction` in interface `Command`

### insertLoadedTree

    public static boolean insertLoadedTree(int id,
                                           HashTree tree,
                                           boolean merging)
                                    throws Exception,
                                           IllegalUserActionException

  Returns a boolean indicating whether the loaded tree was a full test plan

  Throws:
    `Exception`
    `IllegalUserActionException`

### insertLoadedTree

    public static boolean insertLoadedTree(int id,
                                           HashTree tree)
                                    throws Exception,
                                           IllegalUserActionException

  Throws:
    `Exception`
    `IllegalUserActionException`

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.